Bug 435750 - [PATCH] fix booty default file params on ia64 elilo
[PATCH] fix booty default file params on ia64 elilo
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
Reported: 2008-03-03 12:59 EST by Doug Chapman
Modified: 2009-01-27 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-27 11:08:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
set default params to 755 for elilo on ia64. (593 bytes, patch)
2008-03-03 12:59 EST, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2008-03-03 12:59:26 EST
Description of problem:
The fat filesystem does not have the concept of an execute bit nor
user/group/other in file params.  Recently a kernel change was made to enforce
this.  This causes chmod to fail on fat filesystems with any perm other than 755
or 555.

This caused booty to fail when it tried to do a chmod 600 on elilo.conf and
hence caused anaconda to crash.  This patch sets the params to a valid 755 on
ia64 installs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Doug Chapman 2008-03-03 12:59:26 EST
Created attachment 296647 [details]
set default params to 755 for elilo on ia64.
Comment 2 Jeremy Katz 2008-03-03 14:01:05 EST
Does elilo not support passwords?
Comment 3 Doug Chapman 2008-03-03 14:38:19 EST
(In reply to comment #2)
> Does elilo not support passwords?

No elilo does not have password support.
Comment 4 Doug Chapman 2008-03-03 14:56:37 EST
Also, if elilo did support passwords we still would not be able to make it
non-readable since it is on a vfat filesystem.  Since fat doesn't have the
concept of a read bit it is always readable.  In the past doing a chmod to make
it non-readable appeared to work however once the system rebooted or the inode
was just read in again the file would revert back to the 0755 permissions.

Comment 5 Jeremy Katz 2008-03-03 22:22:04 EST
Fixed in git
Comment 6 Bug Zapper 2008-05-14 01:44:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.